import {BasicColumn, FormSchema} from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    sorter: true,
  },
  {
    title: '规则描述',
    dataIndex: 'ruleDescription',
    width: 220,
  },
  {
    title: '创建时间',
    dataIndex: 'creationTime',
    width: 120,
    sorter: true,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 120,
    sorter: true,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 120,
    sorter: true,
  },

];

export const personSchema: FormSchema[] = [
  {

    field: 'name',
    component: 'Input',
    colProps: { lg: 11, md: 11 },
    label: '函数名称',

  },
  {
    field: 'dataConnection ',
    label: '数据连接',
    colProps: { lg: 11, md: 11 },
    component: 'Select',
    required: true,
    componentProps: {
      placeholder: '规则处置方式',
      options: [
        { label: '建议优化', value: '1' },
        { label: '禁止执行', value: '2' },
        { label: 'admin', value: '3' },
      ],
    },

  },

  {
    field: 'file',
    label: '文件',
    slot:'fileSlot',
    required: true,

  },
  {
    field: 'classPath',
    label: 'class路径',
    colProps: { lg: 11, md: 11 },
    component: 'Input',
    required: true,
  },

  {
    field: 'ruleDescription',
    label: '描述',
    colProps: { lg: 11, md: 11 },
    component: 'Input',

  },
  {
    field: 'operator',
    label: '操作符',
    colProps: { lg: 11, md: 11 },
    component: 'Input',

  },
  {
    field: 'giveAnExample',
    label: '举例',
    colProps: { lg: 11, md: 11 },
    component: 'InputTextArea',

  },

];

export const sqlConfiguration: FormSchema[] = [
  {
    field: 'inceptorDataSource',
    label: 'Inceptor数据源',
    colProps: { lg: 23, md: 23 },
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        { label: 'Inceptor-35', value: '1' },
        { label: 'Inceptor-idc', value: '2' },

      ],
    },
  },
  {
    field: 'hdfsDataSource ',
    label: 'HDFS数据源',
    colProps: { lg: 23, md: 23 },
    component: 'Select',
    required: true,
    componentProps: {
      options: [
        { label: 'hdfs-dc', value: '1' },
      ],
    },
  },
  {
    field: 'hdfsPath',
    label: 'HDFS路径',
    slot:'hdfsPath',
    required: true,

  },

];
